@echo off
@rem Set the device you want to build for to 1
@rem Use Pixi to allow running on either device
set PRE=1
set PIXI=0
set DEBUG=0

@rem List your source files here
set SRC=src/cf/ai.cpp ^
	src/cf/building.cpp ^
	src/cf/combat.cpp ^
	src/cf/container.cpp ^
	src/cf/event.cpp ^
	src/cf/game.cpp ^
	src/cf/history.cpp ^
	src/cf/initwindow.cpp ^
	src/cf/main.cpp ^
	src/cf/map.cpp ^
	src/cf/mapwindow.cpp ^
	src/cf/mission.cpp ^
	src/cf/network.cpp ^
	src/cf/options.cpp ^
	src/cf/path.cpp ^
	src/cf/platform.cpp ^
	src/cf/player.cpp ^
	src/cf/unit.cpp ^
	src/cf/unitwindow.cpp ^
	src/common/SDL_zlib.c ^
	src/common/button.cpp ^
	src/common/extwindow.cpp ^
	src/common/fileio.cpp ^
	src/common/filewindow.cpp ^
	src/common/font.cpp ^
	src/common/gamewindow.cpp ^
	src/common/hexsup.cpp ^
	src/common/lang.cpp ^
	src/common/list.cpp ^
	src/common/listselect.cpp ^
	src/common/lset.cpp ^
	src/common/mapview.cpp ^
	src/common/mapwidget.cpp ^
	src/common/misc.cpp ^
	src/common/rect.cpp ^
	src/common/slider.cpp ^
	src/common/sound.cpp ^
	src/common/strutil.cpp ^
	src/common/surface.cpp ^
	src/common/textbox.cpp ^
	src/common/view.cpp ^
	src/common/widget.cpp ^
	src/common/window.cpp

@rem List the libraries needed
set LIBS=-lSDL -lpdl -lSDL_ttf -lSDL_Image -lSDL_mixer -lSDL_net

@rem Name your output executable
set OUTFILE=crimson

if %PRE% equ 0 if %PIXI% equ 0 goto :END

if %DEBUG% equ 1 (
   set DEVICEOPTS=-g -Isrc/cf -Isrc/common -D HAVE_DIRENT_H -D WEBOS
) else (
   set DEVICEOPTS=-s -O3 -fpromote-loop-indices -funroll-loops -Isrc/cf -Isrc/common -D HAVE_DIRENT_H -D WEBOS
)

if %PRE% equ 1 (
   set DEVICEOPTS=%DEVICEOPTS% -mcpu=cortex-a8 -mfpu=neon -mfloat-abi=softfp
)

if %PIXI% equ 1 (
   set DEVICEOPTS=%DEVICEOPTS% -mcpu=arm1136jf-s -mfpu=vfp -mfloat-abi=softfp
)

echo %DEVICEOPTS%

arm-none-linux-gnueabi-gcc %DEVICEOPTS% -o %OUTFILE% %SRC% "-I%PALMPDK%\include" "-I%PALMPDK%\include\SDL" "-L%PALMPDK%\device\lib" -Wl,--allow-shlib-undefined %LIBS%

goto :EOF

:END
echo Please select the target device by editing the PRE/PIXI variable in this file.
exit /b 1

